{
  "meta": {
    "$_GET": [
      {
        "type": "text",
        "name": "firstname"
      },
      {
        "type": "text",
        "name": "lastname"
      },
      {
        "type": "text",
        "name": "email"
      }
    ]
  },
  "exec": {
    "steps": [
      {
        "name": "identity",
        "module": "auth",
        "action": "identify",
        "options": {
          "provider": "auth"
        },
        "output": true,
        "meta": []
      },
      {
        "name": "strId",
        "module": "core",
        "action": "setvalue",
        "options": {
          "key": "g_strId",
          "value": "{{identity.toString()}}"
        },
        "meta": [],
        "outputType": "text"
      },
      {
        "name": "api",
        "module": "api",
        "action": "send",
        "options": {
          "url": "{{$_ENV.API_BASEURL+'users/insert'}}",
          "method": "POST",
          "dataType": "json",
          "data": {
            "id": "{{strId}}",
            "createuserid": -1,
            "updatedate": "{{NOW}}",
            "lastname": "{{$_GET.lastname}}",
            "firstname": "{{$_GET.firstname}}",
            "updateuserid": -1,
            "password": null,
            "isactive": true,
            "username": null,
            "createdate": "{{NOW}}",
            "email": "{{$_GET.email}}"
          }
        },
        "output": true
      }
    ]
  }
}